Qt Reference Documentation

# Qt 3 Support Members for QSqlDriver

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QSqlDriver class reference

## Public Functions

QString | formatValue ( const QSqlField * field, bool trimStrings = false ) const
QString | nullText () const
QSqlRecord | record ( const QSqlQuery & query ) const
QSqlRecord | recordInfo ( const QString & tablename ) const
QSqlRecord | recordInfo ( const QSqlQuery & query ) const

- 8 public functions inherited from QObject

## Member Function Documentation

### QString QSqlDriver::formatValue ( const QSqlField * field, bool trimStrings = false ) const

Use the other formatValue() overload instead.

### QString QSqlDriver::nullText () const

sqlStatement() is now used to generate SQL. Use tr("NULL") for example, instead.

### QSqlRecord QSqlDriver::record ( const QSqlQuery & query ) const

Use query.record() instead.

### QSqlRecord QSqlDriver::recordInfo ( const QString & tablename ) const

Use record() instead.

### QSqlRecord QSqlDriver::recordInfo ( const QSqlQuery & query ) const

Use query.record() instead.